Skip to main content
POST
Match entries
Learn more:
  • What are outstanding items? ↗
  • What is a journal entry? ↗

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
entries
string[]
required

List of entries to match. Must contain at least 2 entries. Entries are typically journal entry id, invoice id or financial entry id.

Minimum array length: 2
Example:
partner_id
string
required

Id of the thirdparty (customer, supplier or employee) in the accounting system . All entries are must be linked to one same partner.

Example:

"<accounting-client-id>"

Response

Successful Response

matching_number
string
required

Unique 'number' of the matching operation in the accounting system.

Example:

"<this-matching-number>"

balance
number
required

Balance of the matching operation. This is the sum of all entries in the matching operation. It should be zero if the matching is complete.

Example:

0